﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractShopDataModels
{
    //интерфейс, отвечающий за продукт
    internal interface IProductModel : IId
    {
        //наименование изделия
        string ProductName { get; }

        //цена изделия
        double Price { get; }

        //словарь, хранящий пары кол-во + компонент и его цена
        Dictionary<int, (IComponentModel, int)> ProductComponents { get; }
    }
}
